/*
 * Licensed Materials - Property of IBM
 * 5748-XX8
 * (c) Copyright International Business Machines Corp. 2001
 * All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplicaion or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 * (c) Copyright 1997 Dascom, Inc. ALL RIGHTS RESERVED
 */

#ifndef IVTypes_h
#define IVTypes_h

#ifdef WIN32
/* MS Windows Specific Types */
#define __TYPES__
#else
/* UNIX platforms */
#include <sys/types.h>
#endif

/* Shortcuts */
#if !defined(AD) && !(defined(AIX) && defined(_ALL_SOURCE))
typedef unsigned char  uchar;
#endif
#ifdef WIN32
typedef unsigned short ushort;
typedef unsigned int   uint;
typedef unsigned long  ulong;
#endif
#ifdef _HPUX
#include <sys/stream.h>
#endif


/* IVT... - IV (fundamental) Types */
typedef char        IVTbyte;
typedef char        IVTchar;
typedef short       IVTshort;
typedef long        IVTlong;
typedef int         IVTint;
typedef uchar       IVTuchar;
typedef ushort      IVTushort;
typedef ulong       IVTulong;
typedef uint        IVTuint;
typedef float       IVTfloat;
typedef double      IVTdbl;
typedef uchar       IVTbool;

typedef IVTshort    IVTint16;
typedef IVTushort   IVTuint16;
typedef IVTlong     IVTint32;
typedef IVTulong    IVTuint32;

/* Status return code */
typedef IVTuint32       IVTstatus;
#define iv_status_ok    ((IVTstatus)0)

/* Object type identifier */
typedef IVTuint32       IVTObjTypeId;

/* Object format identifier */
typedef IVTuint16       IVTFormatId;

/* Object size */
typedef IVTuint32       IVTObjSize;

/* Function return codes */
typedef IVTuint32       IVTrc;


#endif /* IVTypes_h */

